org.licas.ws.wsdl.model

## Class WsdlEndpoint

- java.lang.Object
- - org.licas.ws.wsdl.model.WsdlEndpoint

-     public class WsdlEndpoint
      extends java.lang.Object

  This class stores information on an endpoint address for a service.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsdlEndpoint(java.lang.String thisName, java.lang.String thisType, java.lang.String thisBinding, java.lang.String thisAddress)` Create a new instance of WsdlEndpoint.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAddress()` Get the endpoint address.
    `java.lang.String` | `getBinding()` Get the endpoint binding.
    `java.lang.String` | `getName()` Get the endpoint name.
    `java.lang.String` | `getType()` Get the endpoint type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsdlEndpoint

          public WsdlEndpoint(java.lang.String thisName,
                              java.lang.String thisType,
                              java.lang.String thisBinding,
                              java.lang.String thisAddress)

      Create a new instance of WsdlEndpoint.
      Parameters:
        `thisName` - the endpoint name.
        `thisType` - the endpoint type.
        `thisBinding` - the endpoint binding.
        `thisAddress` - the endpoint address.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get the endpoint name.
      Returns:
        the value of name.

    - #### getType

          public java.lang.String getType()

      Get the endpoint type.
      Returns:
        the value of type.

    - #### getBinding

          public java.lang.String getBinding()

      Get the endpoint binding.
      Returns:
        the value of binding.

    - #### getAddress

          public java.lang.String getAddress()

      Get the endpoint address.
      Returns:
        the value of address.